# FileListProgress Class Reference

Callback interface set with FileList::SetCallback() in case you want progress notifications when FileList::AddFilesFromDirectory() is called. More...

`#include <FileList.h>`

Inheritance diagram for FileListProgress:

List of all members.

## Public Member Functions
virtual void | OnAddFilesFromDirectoryStarted (FileList *fileList, char *dir)
| First callback called when FileList::AddFilesFromDirectory() starts.
virtual void | OnDirectory (FileList *fileList, char *dir, unsigned int directoriesRemaining)
| Called for each directory, when that directory begins processing.
virtual void | OnFile (FileList *fileList, char *dir, char *fileName, unsigned int fileSize)
| Called for each file, when that file begins processing.
virtual void | OnFilePush (const char *fileName, unsigned int fileLengthBytes, unsigned int offset, unsigned int bytesBeingSent, bool done, SystemAddress targetSystem)
| This function is called when we are sending a file to a remote system.

## Detailed Description

Callback interface set with FileList::SetCallback() in case you want progress notifications when FileList::AddFilesFromDirectory() is called.

## Member Function Documentation

virtual void FileListProgress::OnFilePush | ( | const char * | fileName,
|  | unsigned int | fileLengthBytes,
|  | unsigned int | offset,
|  | unsigned int | bytesBeingSent,
|  | bool | done,
|  | SystemAddress | targetSystem |
| ) |  |  | `[inline, virtual]`

This function is called when we are sending a file to a remote system.

Parameters:

  `[in]` | fileName | The name of the file being sent
  `[in]` | fileLengthBytes | How long the file is
  `[in]` | offset | The offset in bytes into the file that we are sending
  `[in]` | bytesBeingSent | How many bytes we are sending this push
  `[in]` | done | If this file is now done with this push
  `[in]` | targetSystem | Who we are sending to

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/Source/FileList.h